import { html as n } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, o = (s, r, i, l) => {
  for (var e = l > 1 ? void 0 : l ? m(r, i) : r, p = s.length - 1, c; p >= 0; p--)
    (c = s[p]) && (e = (l ? c(r, i, e) : c(e)) || e);
  return l && e && g(r, i, e), e;
};
let t = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--appleCircleFilledLarge", this.class = "c-pieIcon c-pieIcon--appleCircleFilledLarge", this.name = "IconSocialAppleCircleFilledLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--appleCircleFilledLarge"><path d="M16 3.75a12.25 12.25 0 1 0 0 24.5 12.25 12.25 0 0 0 0-24.5m0 7.639a3.38 3.38 0 0 1 2.625-2.835h.315a2.7 2.7 0 0 1-.254 1.557 2.98 2.98 0 0 1-2.143 1.838c-.665.122-.648.131-.543-.56m6.125 8.111a1 1 0 0 0-.087.201 8.8 8.8 0 0 1-1.925 3.142 2.056 2.056 0 0 1-2.494.35 2.63 2.63 0 0 0-2.625 0 2.44 2.44 0 0 1-1.26.28 1.84 1.84 0 0 1-1.322-.753 9.16 9.16 0 0 1-2.537-6.361 4.9 4.9 0 0 1 .411-1.934 3.5 3.5 0 0 1 4.848-1.855 1.86 1.86 0 0 0 1.863 0q.454-.234.945-.367a4.03 4.03 0 0 1 2.337.245 2.8 2.8 0 0 1 1.365 1.172c-.21.184-.411.35-.604.543q-.346.284-.595.656a3.3 3.3 0 0 0 .464 3.858c.316.388.739.674 1.216.823"></path></svg>`;
  }
};
o([
  a({ type: String, reflect: !0 })
], t.prototype, "size", 2);
o([
  a({ type: String, reflect: !0 })
], t.prototype, "class", 2);
t = o([
  h("icon-social-apple-circle-filled-large")
], t);
export {
  t as IconSocialAppleCircleFilledLarge
};
